%define origname	texstudio

Name:		texstudio
Version:	2.12.2
Release:	%mkrel 1
Summary:	Free cross-platform LaTeX editor
License:	GPLv2+
Group:		Publishing
URL:		http://texstudio.sourceforge.net/
Source0:	http://downloads.sourceforge.net/texstudio/%{name}-%{version}.tar.gz
Patch0:		texstudio-install-manpage-and-icon.patch
Patch1:		texstudio-use-system-qtsingleapplication-and-quazip5.patch
Patch2:		texstudio-debughelper-arm-fix.patch
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5UiTools)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(poppler-qt5)
BuildRequires:	qtsingleapplication-qt5-devel
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	quazip-devel

%rename texmakerx

%description
TeXstudio is a LaTeX IDE that gives you an environment where you can easily
create and manage LaTeX documents. It provides modern writing support, like
interactive spell checking, code folding and syntax highlighting. Also it
serves as a starting point from where you can easily run all necessary
LaTeX tools.

%prep
%setup -q -n %{name}%{version}
%autopatch -p1

# remove bundled dict, quazip and qtsingleapplication
rm -r hunspell quazip qtsingleapplication

%build
%qmake_qt5 \
	CONFIG-=debug \
	USE_SYSTEM_HUNSPELL=1 \
	USE_SYSTEM_QUAZIP=1 \
	USE_SYSTEM_QTSINGLEAPPLICATION=1 \
	texstudio.pro

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

for png in 128x128 48x48 32x32 16x16; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
  install -m 0644 utilities/texstudio$png.png %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

%files
%doc utilities/AUTHORS utilities/manual/CHANGELOG.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1.*


%changelog
* Wed Jan 25 2017 daviddavid <daviddavid> 2.12.2-1.mga6
+ Revision: 1083430
- new version: 2.12.2

* Sun Jan 08 2017 daviddavid <daviddavid> 2.12.0-1.mga6
+ Revision: 1080664
- new version: 2.12.0

* Mon Nov 28 2016 luigiwalser <luigiwalser> 2.11.2-2.mga6
+ Revision: 1070648
- rebuild for poppler

* Fri Oct 07 2016 daviddavid <daviddavid> 2.11.2-1.mga6
+ Revision: 1059376
- new version: 2.11.2
- package some icons png

* Sat Sep 10 2016 daviddavid <daviddavid> 2.11.0-3.mga6
+ Revision: 1051389
- fix desktop svg icon not displayed in menu

* Sat Aug 13 2016 luigiwalser <luigiwalser> 2.11.0-2.mga6
+ Revision: 1046203
- test rebuild for poppler

* Fri Aug 12 2016 daviddavid <daviddavid> 2.11.0-1.mga6
+ Revision: 1046101
- new version: 2.11.0
- enable quazip5 support and use system one
- improve use-system-qtsingleapplication patch
- add patch to fix install of upstream manpage

* Thu Apr 21 2016 tv <tv> 2.10.8-2.mga6
+ Revision: 1004209
- rebuid for libhunspell 1.4

* Sat Mar 26 2016 daviddavid <daviddavid> 2.10.8-1.mga6
+ Revision: 995672
- new version: 2.10.8
- switch build to Qt5
- add patches to use system qtsingleapplication and hunspell
- add patch to fix arm build
- use an upstream workaround for now to make it build with Qt5.6
  * https://sourceforge.net/p/texstudio/bugs/1718/

* Mon Feb 01 2016 umeabot <umeabot> 2.8.2-4.mga6
+ Revision: 929878
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.8.2-3.mga5
+ Revision: 745474
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.8.2-2.mga5
+ Revision: 689852
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 malo <malo> 2.8.2-1.mga5
+ Revision: 671351
- forgot icon file
- update to 2.8.2

* Mon Jul 21 2014 diogenese <diogenese> 2.8.0-1.mga5
+ Revision: 654915
- Updated source to 2.8.0
- Updated texstudio sources to 2.8.0

* Sat Oct 19 2013 umeabot <umeabot> 2.6.2-2.mga4
+ Revision: 530178
- Mageia 4 Mass Rebuild

* Sat Jul 20 2013 fwang <fwang> 2.6.2-1.mga4
+ Revision: 456486
- new version 2.6.2

* Thu Jan 17 2013 malo <malo> 2.5.2-1.mga3
+ Revision: 389214
- new version 2.5.2

* Mon Jan 14 2013 umeabot <umeabot> 2.5.1-2.mga3
+ Revision: 384488
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 malo <malo> 2.5.1-1.mga3
+ Revision: 323551
- new version 2.5.1

* Sun Sep 30 2012 malo <malo> 2.4-1.mga3
+ Revision: 300648
- update to new version 2.4

* Wed Jun 13 2012 fwang <fwang> 2.3-2.mga3
+ Revision: 260197
- rebuild for new poppler

* Sat Feb 11 2012 malo <malo> 2.3-1.mga2
+ Revision: 207312
- spec clean-up after import from Mandriva
- update to new version 2.3
- imported package texstudio

